> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-fbfa8bee.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar Reverse Private Endpoint

> **Este endpoint está en beta.** El contrato de la API es estable y no se esperan cambios incompatibles en el futuro. <br /><br /> Devuelve una lista de reverse private endpoints para el servicio especificado.



## OpenAPI

````yaml /es/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints:
    get:
      tags:
        - ClickPipes
      summary: Listar Reverse Private Endpoint
      description: >-
        **Este endpoint está en beta.** El contrato de la API es estable y no se
        esperan cambios incompatibles en el futuro. <br /><br /> Devuelve una
        lista de reverse private endpoints para el servicio especificado.
      parameters:
        - description: ID de la organización propietaria del servicio.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: ID del servicio propietario del Reverse Private Endpoint.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: ID único asignado a cada solicitud. UUIDv4
                    format: uuid
                    type: string
                  result:
                    items:
                      $ref: '#/components/schemas/ReversePrivateEndpoint'
                    type: array
                  status:
                    description: Código de estado HTTP.
                    example: 200
                    type: number
                type: object
          description: Respuesta correcta
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: Descripción detallada del error.
                    type: string
                  status:
                    description: Código de estado HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            El server no puede o no quiere procesar la solicitud debido a algo
            que se percibe como un error del client.
components:
  schemas:
    ReversePrivateEndpoint:
      properties:
        description:
          description: >-
            Descripción del endpoint privado inverso. La longitud máxima es de
            255 caracteres.
          example: My reverse private endpoint
          type: string
        dnsNames:
          description: Nombres DNS internos del endpoint privado inverso.
          items:
            type: string
          type: array
        endpointId:
          description: ID del endpoint del endpoint privado inverso.
          example: vpce-12345678901234567
          type: string
        id:
          description: ID del endpoint privado inverso.
          example: 12345678-1234-1234-1234-123456789012
          format: uuid
          type: string
        mskAuthentication:
          description: >-
            Tipo de autenticación del clúster de MSK. Obligatorio para el tipo
            MSK_MULTI_VPC.
          enum:
            - SASL_IAM
            - SASL_SCRAM
          example: SASL_IAM
          nullable: true
          type: string
        mskClusterArn:
          description: ARN del clúster de MSK. Obligatorio para el tipo MSK_MULTI_VPC.
          example: arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster
          nullable: true
          type: string
        privateDnsNames:
          description: Nombres DNS privados del endpoint privado inverso.
          items:
            type: string
          type: array
        serviceId:
          description: >-
            ID del servicio de ClickHouse al que está asociado el endpoint
            privado inverso.
          example: 12345678-1234-1234-1234-123456789012
          format: uuid
          type: string
        status:
          description: Estado del endpoint privado inverso.
          enum:
            - Unknown
            - Provisioning
            - Deleting
            - Ready
            - Failed
            - PendingAcceptance
            - Rejected
            - Expired
          example: Ready
          type: string
        type:
          description: Tipo de endpoint privado inverso.
          enum:
            - VPC_ENDPOINT_SERVICE
            - VPC_RESOURCE
            - MSK_MULTI_VPC
          example: VPC_ENDPOINT_SERVICE
          type: string
        vpcEndpointServiceName:
          description: Nombre del servicio del endpoint de VPC.
          example: com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567
          nullable: true
          type: string
        vpcResourceConfigurationId:
          description: >-
            ID de configuración del recurso de VPC. Obligatorio para el tipo
            VPC_RESOURCE.
          example: rcfg-12345678901234567
          nullable: true
          type: string
        vpcResourceShareArn:
          description: >-
            ARN del recurso compartido del recurso de VPC. Obligatorio para el
            tipo VPC_RESOURCE.
          example: >-
            arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567
          nullable: true
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        Usa el ID de la clave y el secreto de la clave obtenidos en la consola
        de ClickHouse Cloud: https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````